OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros | Typedefs
gfx_layout.h File Reference

Functions related to laying out the texts. More...

`#include "fontcache.h"`
`#include "gfx_func.h"`
`#include "core/smallmap_type.hpp"`
`#include <map>`
`#include <string>`

Go to the source code of this file.

## Data Structures
struct | FontState
| Text drawing parameters, which can change while drawing a line, but are kept between multiple parts of the same text, e.g. More...
class | ICU_FONTINSTANCE
| Container with information about a font. More...
class | ParagraphLayouter
| Interface to glue fallback and normal layouter into one. More...
class | ParagraphLayouter::VisualRun
| Visual run contains data about the bit of text with the same font. More...
class | ParagraphLayouter::Line
| A single line worth of VisualRuns. More...
class | Layouter
| The layouter performs all the layout work. More...
struct | Layouter::LineCacheKey
| Key into the linecache. More...
struct | Layouter::LineCacheItem
| Item in the linecache. More...

## Typedefs
typedef SmallMap< int, Font * > | FontMap
| Mapping from index to font.

## Detailed Description

Functions related to laying out the texts.

Definition in file gfx_layout.h.

## Typedef Documentation

typedef SmallMap<int, Font *> FontMap

Mapping from index to font.

Definition at line 98 of file gfx_layout.h.